Subject: Re: 23.2; ediff-diff-options being ignored

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Mon, 26 Sep 2011 00:22:29 +0200

Leo Shidai Liu <[email-masked]> writes:

> From the definition of ediff-diff-options, ediff-set-diff-options is
> required for the changed value to be in effect.

Right.  I think that sounds like a misfeature, and should be fixed.  I
don't really see the point of computing `ediff-actual-diff-options' and
`ediff-actual-diff3-options' in that roundabout fashion.  I think those
variables should be removed and `ediff-diff-options' (etc) should be
used directly.

Probably not for Emacs 24, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/